<?PHP
ignore_user_abort(true);                    // DAMIT DAS SCRIPT AUF KEINEN TIMEOUT LÄUFT
@set_time_limit(0);

function verlauf($user, $vid, $text, $status, $aend_dat) {
global $db;
  $db = dbconnect();
  
  if(!$aend_dat){
   $aend_dat = date("Y-m-d H:i:s");
  }
  
  if($status == '2'){
    # Vorprüfung bestanden kann es bei Gutachterbenennung und Beteiligtenbenennung geben. Der Status 2 (Vorprüfung bestanden) soll 
    # nur einmal gesetzt werden, je nachdem welche Aktion als erstes durchgeführt wurde.
    $result_stat2 = $db->query("SELECT count(*) Anz FROM imt_verlauf WHERE vid= '$vid' AND status='2'");
    $row_stat2 = $result_stat2->fetch_array();
    if($row_stat2[Anz] == 0){
      $result_1 = $db->query("INSERT INTO imt_verlauf (datum, bearbeiter, status, vid, verlauf) VALUES ('$aend_dat', '$user', '$status', '$vid', '$text')");
    }
  }else{  
      $result_1 = $db->query("INSERT INTO imt_verlauf (datum, bearbeiter, status, vid, verlauf) VALUES ('$aend_dat', '$user', '$status', '$vid', '$text')");
  }
}

?>